#include <bits/stdc++.h>

using namespace std;

int formiraj(int a,int b,int c)
{
    int k=1,n=1,r=0;
    while(c>=n)
    {
        r=r+c/n%10*k;
        n=n*10;
        k=k*10;
    }
    n=1;
    while(b>=n)
    {
        r=r+b/n%10*k;
        n=n*10;
        k=k*10;
    }
    n=1;
    while(a>=n)
    {
        r=r+a/n%10*k;
        n=n*10;
        k=k*10;
    }
    return r;
}

int main()
{
    int a,b,c,r,b1,b2,b3,b4,b5,b6;
    scanf("%d%d%d",&a,&b,&c);
    b1=formiraj(a,b,c);r=b1;printf("%d\n",b1);
    b2=formiraj(a,c,b);if(b2>r)r=b2;printf("%d\n",b2);
    b3=formiraj(b,a,c);if(b3>r)r=b3;printf("%d\n",b3);
    b4=formiraj(b,c,a);if(b4>r)r=b4;printf("%d\n",b4);
    b5=formiraj(c,b,a);if(b5>r)r=b5;printf("%d\n",b5);
    b6=formiraj(c,a,b);if(b6>r)r=b6;printf("%d\n",b6);
    printf("%d",r);
}